Package weka.core.pmml

# Class FieldMetaInfo

java.lang.Object
weka.core.pmml.FieldMetaInfo

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DerivedFieldMetaInfo`, `MiningFieldMetaInfo`, `TargetMetaInfo`

public abstract class FieldMetaInfo extends Object implements Serializable
Abstract superclass for various types of field meta data.

Version:
  $Revision 1.0 $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com
See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`FieldMetaInfo.Interval`
Inner class for an Interval.
`static enum`
`FieldMetaInfo.Optype`
Enumerated type for the Optype
`static class`
`FieldMetaInfo.Value`
Inner class for Values

## Constructor Summary

Constructors
Constructor
Description
`FieldMetaInfo(Element field)`
Construct a new FieldMetaInfo.

## Method Summary

Modifier and Type
Method
Description
`abstract Attribute`
`getFieldAsAttribute()`
Return this field as an Attribute.
`String`
`getFieldName()`
Get the name of this field.
`FieldMetaInfo.Optype`
`getOptype()`
Get the optype.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FieldMetaInfo

public FieldMetaInfo(Element field)
Construct a new FieldMetaInfo.

Parameters:
  `field` - the Element containing the field

## Method Details

### getOptype

public FieldMetaInfo.Optype getOptype()
Get the optype.

Returns:
  the optype

### getFieldName

public String getFieldName()
Get the name of this field.

Returns:
  the name of this field

### getFieldAsAttribute

public abstract Attribute getFieldAsAttribute()
Return this field as an Attribute.

Returns:
  an Attribute for this field.